<?php require_once('Connections/cn.php'); ?>
<?php
	$id_alumno=$_GET['id_alumno'];
	$id_carrera=$_GET['id_carrera'];
	$id_materia=$_GET['id_materia'];
	$periodo=$_GET['periodo'];
	$profesor=$_GET['profesor'];
	$seccion=$_GET['seccion'];

	//Busco los datos del alumno
	mysql_select_db($database_cn, $cn);
	mysql_query ("SET NAMES 'utf8'");
	$sql = "SELECT id_alumno,cedula,apellidos, nombres FROM alumnos where id_alumno='$id_alumno'";
	$rs = mysql_query($sql, $cn) or die(mysql_error());
	$row = mysql_fetch_assoc($rs);
	$id_alumno= $row['id_alumno'];
	$cedula= $row['cedula'];
	$apellidos= $row['apellidos'];
	$nombres= $row['nombres'];
	
	$sql1 = "SELECT * FROM periodos where id_periodo='$periodo'";
	$rs1 = mysql_query($sql1, $cn) or die(mysql_error());
	$row1 = mysql_fetch_assoc($rs1);
	$cod_periodo= $row1['codigo'];
	
	
		// Valida si el participante está incluido en el acta.
		 $sql2 = "SELECT * FROM historico_notas WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_materia='$id_materia' and id_seccion='$seccion' and id_docente='$profesor' and id_periodo='$periodo'";
		 echo $sql2;
		$rs2=mysql_query($sql2, $cn);
		$reg2=mysql_num_rows($rs2);
		if ($reg2>0){
          ?>
		    <script type="text/javascript">
	        msj="Inclusión no procesada.\nEstudiante " +'<<<?php echo $apellidos.', '.$nombres; ?>>>'+"  ya está incluido en el Acta.";
	 		alert(msj);
		
			window.parent.document.form1.id_alumno.focus();
			window.parent.document.form1.id_alumno.value=0;
			
     	 </script>
		<?php
		}
	else{
  	
		
    // Verifico si el participante tiene la materia aprobada.
 	$sql = "SELECT * FROM historico_notas 
	WHERE 
	id_alumno='$id_alumno' and 
	id_carrera='$id_carrera' and 
	id_materia='$id_materia' and 
	(nota>=10 or cualitativa='APROBADA')";
 	$rs=mysql_query($sql, $cn);
	$reg=mysql_num_rows($rs);
	$row = mysql_fetch_assoc($rs);
	$secc= $row['id_seccion'];
	$peri= $row['id_periodo'];
	if ($reg > 0){
	    $sql = "SELECT codigo,tipo FROM periodos WHERE id_periodo='$peri'";
 	    $rs=mysql_query($sql, $cn);
	    $reg=mysql_num_rows($rs);
	    $row = mysql_fetch_assoc($rs);
	    $dperiodo= $row['codigo'].' ('.$row['tipo'].')';
	 
	 
	 ?>
	 <script type="text/javascript">
	    msj="Inclusión no procesada.\nEstudiante " +'<<<?php echo $apellidos.', '.$nombres; ?>>>'+" tiene aprobada la Unidad Curricular "+'<?php echo $id_materia; ?>' +"\nen el Lapso "+'<?php echo $dperiodo; ?>' +", Sección "+'<?php echo $secc; ?>'+".";
	 	alert(msj);
		window.parent.document.form1.id_alumno.focus();
		window.parent.document.form1.id_alumno.value=0;
	 </script>
	 <?php
	 }
	 else {
	    // Valida si el participante tiene la materia inscrita (La está cursando).
	    $sql2 = "SELECT * FROM inscripciones WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_materia='$id_materia'";
		$rs2=mysql_query($sql2, $cn);
		$reg2=mysql_num_rows($rs2);
		if ($reg2>0){
          ?>
		    <script type="text/javascript">
	        msj="Participante " +'<<<?php echo $apellidos.', '.$nombres; ?>>>'+" está inscrito actualmente en esta Unidad Curricular.";
	 		alert(msj);
		
			window.parent.document.form1.id_alumno.focus();
			window.parent.document.form1.id_alumno.value=0;
			
     	 </script>
		<?php
		}
	  // Validar los prerrequisitos.
	 }	
	 }
?>
